org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination

## Class PDPageFitHeightDestination

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination
  - - org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination
    - - org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageFitHeightDestination

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDPageFitHeightDestination
    extends PDPageDestination

This represents a destination to a page at a x location and the height is magnified to just fit on the screen.

Author:
  Ben Litchfield

### Field Summary

Fields
`protected static String` `TYPE` The type of this destination.
`protected static String` `TYPE_BOUNDED` The type of this destination.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination

`array`

### Constructor Summary

Constructors
Constructor and Description
`PDPageFitHeightDestination()` Default constructor.
`PDPageFitHeightDestination(COSArray arr)` Constructor from an existing destination array.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `fitBoundingBox()` A flag indicating if this page destination should just fit bounding box of the PDF.
`int` `getLeft()` Get the left x coordinate.
`void` `setFitBoundingBox(boolean fitBoundingBox)` Set if this page destination should just fit the bounding box.
`void` `setLeft(int x)` Set the left x-coordinate, a value of -1 implies that the current x-coordinate will be used.

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDPageDestination

`findPageNumber, getCOSObject, getPage, getPageNumber, retrievePageNumber, setPage, setPageNumber`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.documentnavigation.destination.PDDestination

`create`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE

    protected static final String TYPE

The type of this destination.

See Also:
  Constant Field Values

#### TYPE_BOUNDED

    protected static final String TYPE_BOUNDED

The type of this destination.

See Also:
  Constant Field Values

### Constructor Detail

#### PDPageFitHeightDestination

    public PDPageFitHeightDestination()

Default constructor.

#### PDPageFitHeightDestination

    public PDPageFitHeightDestination(COSArray arr)

Constructor from an existing destination array.

Parameters:
  `arr` - The destination array.

### Method Detail

#### getLeft

    public int getLeft()

Get the left x coordinate. A return value of -1 implies that the current x-coordinate will be used.

Returns:
  The left x coordinate.

#### setLeft

    public void setLeft(int x)

Set the left x-coordinate, a value of -1 implies that the current x-coordinate will be used.

Parameters:
  `x` - The left x coordinate.

#### fitBoundingBox

    public boolean fitBoundingBox()

A flag indicating if this page destination should just fit bounding box of the PDF.

Returns:
  true If the destination should fit just the bounding box.

#### setFitBoundingBox

    public void setFitBoundingBox(boolean fitBoundingBox)

Set if this page destination should just fit the bounding box. The default is false.

Parameters:
  `fitBoundingBox` - A flag indicating if this should fit the bounding box.